%
%   run SCEC BM7
%
%  elastic halfspace model with crack to 16 km depth - strikeslip
%
%!../../bin/ppc/maxwell 1. -16.0 .0 -0. 0 1 ele_BM7.dat 0 xBM7.grd yBM7.grd zBM7.grd  
%
%  elastic plate with fault from top to bottom - strikeslip
%
! maxwell 1.  -50. 0. -0. 99999 1 ele_BM7.dat 0 xBM7.grd yBM7.grd zBM7.grd 
%
%  elastic halfspace model with crack to 16 km depth - dipslip
%
%!../../bin/ppc/maxwell 1. -16.0 .0 -0. 0 1 ele_BM7_vert.dat 0 xBM7.grd yBM7.grd zBM7.grd  
%
%  do the vertical load but make the plate much thinner
%
%!../../bin/ppc/maxwell 1. -4.0 .0 -0. 99999 1 ele_BM7_vert.dat 0 xBM7.grd yBM7.grd zBM7.grd -4. 1.e18 .25 1
%
x0=grdread('xBM7.grd');
y0=grdread('yBM7.grd');
z0=grdread('zBM7.grd');
%
%  cut the relevant areas
%
x=x0(200:1400,200:1800);
y=y0(200:1400,200:1800);
z=z0(200:1400,200:1800);
r=sqrt(x.*x+y.*y);
proy=y(600,:);
proz=z(600,:);
rpro=1:1601;
rpro=(rpro-600)/4.;
%
orient landscape
subplot(2,2,1),imagesc(r),colorbar,title('tangential displacement'),axis image
subplot(2,2,2),imagesc(z),colorbar,title('vertical displacement'),axis image
subplot(2,2,3),plot(rpro,-proy),xlabel('distance'),ylabel('displacement')
axis([0,300,-.1,.2])
axis([0,300,-.5,1.0])
grid
subplot(2,2,4),plot(rpro,proz),xlabel('distance'),ylabel('vertical displacement')
axis([0,300,-.01,.01])
grid
